MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
sc::SCDimension Class Reference

The SCDimension class is used to determine the size and blocking of matrices. More...

`#include <dim.h>`

Inheritance diagram for sc::SCDimension:

List of all members.

## Public Member Functions

| SCDimension (int n, const char *name=0)
| Create a dimension with an optional name.
| SCDimension (const Ref< SCBlockInfo > &, const char *name=0)
| SCDimension (int n, int nblocks, const int *blocksizes=0, const char *name=0)
| SCDimension (const Ref< KeyVal > &)
| The KeyVal constructor.
| SCDimension (StateIn &s)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
int | equiv (const SCDimension *) const
| Test to see if two dimensions are equivalent.
int | n () const
| Return the dimension.
const char * | name () const
| Return the name of the dimension.
Ref< SCBlockInfo > | blocks ()
| Return the blocking information for this dimension.
void | print (std::ostream &o=ExEnv::out0()) const
| Print information about this dimension to o.

## Protected Member Functions

| SCDimension (const char *name=0)

## Protected Attributes

char * | name_
int | n_
Ref< SCBlockInfo > | blocks_

## Detailed Description

The SCDimension class is used to determine the size and blocking of matrices.

The blocking information is stored by an object of class SCBlockInfo.

## Constructor & Destructor Documentation

sc::SCDimension::SCDimension | ( | int | n,
|  | const char * | name = `0`
| ) |  |

Create a dimension with an optional name.

The name is a copy of the '0' terminated string name.

sc::SCDimension::SCDimension | ( | const Ref< KeyVal > & |  | ) |

The KeyVal constructor.

`n`

  This gives size of the dimension. One of n or blocks is required.

`blocks`

  The block information for the dimension can be given as a SCBlockInfo object. One of n or blocks is required.

## Member Function Documentation

const char* sc::SCDimension::name | ( |  | ) | const`[inline]`

Return the name of the dimension.

If no name was given to the constructor, then return 0.

void sc::SCDimension::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

The documentation for this class was generated from the following file:

- dim.h